com.threerings.whirled.spot.data

## Class Cluster

- java.lang.Object
- - java.awt.geom.RectangularShape
  - - java.awt.geom.Rectangle2D
    - - java.awt.Rectangle
      - - com.threerings.whirled.spot.data.Cluster

All Implemented Interfaces:
  com.threerings.io.Streamable, com.threerings.presents.dobj.DSet.Entry, Shape, Serializable, Cloneable

    public class Cluster
    extends Rectangle
    implements com.threerings.presents.dobj.DSet.Entry

Contains information on clusters.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.awt.geom.Rectangle2D

`Rectangle2D.Double, Rectangle2D.Float`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`int` `clusterOid` A unique identifier for this cluster (also the distributed object id of the cluster chat object).

### Fields inherited from class java.awt.Rectangle

`height, width, x, y`

### Fields inherited from class java.awt.geom.Rectangle2D

`OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

### Constructor Summary

Constructors
Constructor and Description
`Cluster()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object other)`
`Comparable<?>` `getKey()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.awt.Rectangle

`add, add, add, contains, contains, contains, contains, createIntersection, createUnion, getBounds, getBounds2D, getHeight, getLocation, getSize, getWidth, getX, getY, grow, inside, intersection, intersects, isEmpty, move, outcode, reshape, resize, setBounds, setBounds, setLocation, setLocation, setRect, setSize, setSize, translate, union`

### Methods inherited from class java.awt.geom.Rectangle2D

`add, add, add, contains, contains, getPathIterator, getPathIterator, intersect, intersects, intersectsLine, intersectsLine, outcode, setFrame, setRect, union`

### Methods inherited from class java.awt.geom.RectangularShape

`clone, contains, contains, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.awt.Shape

`contains, contains, contains, contains, getPathIterator, getPathIterator, intersects, intersects`

### Field Detail

#### clusterOid

    public int clusterOid

A unique identifier for this cluster (also the distributed object id of the cluster chat object).

### Constructor Detail

#### Cluster

    public Cluster()

### Method Detail

#### getKey

    public Comparable<?> getKey()

Specified by:
  `getKey` in interface `com.threerings.presents.dobj.DSet.Entry`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Rectangle`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Rectangle2D`

#### toString

    public String toString()

Overrides:
  `toString` in class `Rectangle`